
//========================
//  以上方法区
//========================
$(function() {
	//底部调整
	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null; 
	if (!isChrome) {
		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
	}
	// from提交事件
	$('.am-edit').on('click', function() {
		$('#editTwo').submit();
	});
	
	//原始上传 
	$('body').on('click', '.qrcodeInput', function() {
		imgChange($(this), $(this).next('.ewmGather'));
	})
})
function imgChange(e1, e2) {
		e1.change(function() {
			if(this.files[0]){
				// $filePath = URL.createObjectURL(this.files[0]);
				var  this_par=$(this).parent();
				$(this).parent().find(".shuline").remove();
				$(this).parent().find(".hengline").remove();
				
				//在添加到图片时，把加号改为修改的图样
				var jqObj = $(this).parent();
				if(!jqObj.has('.ngna-span1').length){
					var html='<span class="am-icon-pencil-square-o ngna-span1"></span>';
					$(this).parent().append(html);
				} 
				var tr=$(this).parents('tr')
				
				
				var reader = new FileReader();
				reader.readAsDataURL(this.files[0]); //读取文件
				reader.onload = function(e) { //读取完成回调        
					imgBase = e.target.result;
					e2.val(imgBase);
					tr.find('.icon-img img').attr('src', imgBase);
					tr.find('.icon-img').removeClass("hidden");
				}
			}
			
		})
	}